Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002655Zandronum[All Projects] Bugpublic2016-03-01 23:322017-04-24 06:10
ReporterWaTaKiD 
Assigned ToTorr Samaho 
PrioritylowSeverityminorReproducibilityalways
StatusfeedbackResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version 
Summary0002655: client_MissileExplode: Couldn't find thing
Descriptionfound with 3.0-r160229-1221 and cl_showwarnings 1
Steps To Reproducehost server with doom2.wad map30
connect, join, and kill the icon of sin
client_MissileExplode: Couldn't find thing: 332
(it actually prints a ton of these, but i figured there was no need to bloat the ticket)
Attached Files

- Relationships
child of 0002561resolvedDusk CLIENT_WARNING_MESSAGES 

-  Notes
User avatar (0016346)
Torr Samaho (administrator)
2016-11-27 10:44

Should be fixed now.
User avatar (0016347)
Edward-san (developer)
2016-11-27 11:13

But then sv_showwarnings reports:


Warning: Actor Rocket doesn't have a netID and therefore can't be manipulated online!


We should find a way to shut it, I guess.
User avatar (0016349)
Torr Samaho (administrator)
2016-11-27 12:52

The server side warnings are mainly meant to inform mod authors that some thing may not work as they expect it to and I intentionally left this warning here. It would be very easy to silence this, but this either would still prevent the manipulations the warning reports (in addition to removing the netID, the actor could get the SERVERSIDEONLY flag) or it would increase net traffic (we don't let the client spawn the rockets on their own, but have the server instruct them to do so).

The client side warnings on the other hand indicate an error of the net handling. In the case this ticket is about, the server was wasting bandwidth by sending commands the clients cannot execute and I fixed that.
User avatar (0016426)
WaTaKiD (updater)
2016-12-04 21:43

i can confirm its fixed for when the icon of sin dies, but its still an issue in hexen (i should have reported it beforehand)

reproduction is easy:

host a hexen server on map01
connect with cl_showwarnings 1 and notice the nonstop spam
User avatar (0016430)
Torr Samaho (administrator)
2016-12-06 20:44

The nonstop spam should also be gone now.
User avatar (0016431)
WaTaKiD (updater)
2016-12-07 07:58
edited on: 2016-12-07 09:21

thats much better, thanks

now ill give hexen a playthrough to see what else i can find

edit: oh lordy, ive only completed the first hub as the fighter and have i got warnings to report

since ive found multiple methods to reproduce more client_missileexplode warnings, i will list them in this ticket in my next note, but if for any reason some/all should be split into separate tickets, let me know

User avatar (0016432)
WaTaKiD (updater)
2016-12-07 09:49
edited on: 2017-02-09 00:53

1) host a hexen server on map01
connect, join, and attack
the afrit in front of you will wake up from its ball state and give a chunk of client_missileexplode warnings

2) hexen map01
attack once just to wake the afrit if you havnt already to get its warnings out of the way
then break the pot in front of you, more client_missileexplode warnings

3) hexen map01
warp -203 2062
turn right and break the glass, lots of client_missileexplode warnings
also when u stand too close to the fireball shooting walls, for example at warp -813 1503

4) hexen map01
let an afrit's fireballs hit you or another monster
ive also found that the same thing happens when both the green or brown serpent's fireballs hit someone (summon demon1 or demon2)
also hitting monsters with the fighter's axe (with or without mana) will produce a warning

5) hexen map01
pick the fighter
warp -1035 2011
pick up the flechette and throw it so it hits a monster, client_missileexplode warning

6) hexen map02
sv_nomonsters 1
pick any class, warp -482 3477
punch/shoot the water, or even jump in it

7) hexen map09
sv_nomonsters 1
pick any class
walk forward and to the right, bats will spawn

User avatar (0016848)
Decay (reporter)
2017-02-12 17:47
edited on: 2017-02-12 18:07

additional note: Using the Wraithverge causes spamming of this error, each shot producing 4 errors (No doubt it's 1 per ghost)

Hitting a monster with firestorm causes it too

Serpent staff produces warnings as well. Hitting a centaur seems to spam more warnings than ettins

on map27, the message continually spams as the lifts at the start continually rise and fall
EDIT:<WaTaKiD>http://zandronum.com/tracker/view.php?id=2655#c16848 "on map27, the message continually spams as the lifts at the start continually rise and fall"
<WaTaKiD>i dont think its the lifts
<WaTaKiD>infact, down past the start theres a hanging body that spawns falling blood drops
<decay````>oh that might be it

User avatar (0017002)
Torr Samaho (administrator)
2017-03-19 11:13

At least the Afrit related part of the remaining warnings should be fixed now. Can somebody confirm this and also check what still needs fixing?
User avatar (0017061)
WaTaKiD (updater)
2017-03-26 15:38
edited on: 2017-03-26 15:39

for my note here: http://zandronum.com/tracker/view.php?id=2655#c16432 [^]

numbers 1, 4, and 6 are fixed

for Decay's note here: http://zandronum.com/tracker/view.php?id=2655#c16848 [^]

the firestorm and serpent staff issues are fixed

changeset used: 3dc3179

User avatar (0017182)
Combinebobnt (reporter)
2017-04-17 23:49

r170416-0710

can confirm everything watakid said about hexen. the things he said aren't fixed are still broken of course
random map I warped to: map21 had missile errors going on randomly too. I'm guessing other maps will have errors as well then

HOWEVER, i loaded up both heretic and doom2. Heretic had a ton of missile spam just waking up the monsters in e5m1. I let doom2 map30 run for a while and it spammed something about 'movething: couldnt find thing XXX'

2.1.2 doesn't have cl_showwarnings. Have all these warnings been happening there too? idk if this bug is that important then
User avatar (0017304)
Torr Samaho (administrator)
2017-04-24 06:10

Quote from Combinebobnt
2.1.2 doesn't have cl_showwarnings. Have all these warnings been happening there too? idk if this bug is that important then

All these problems are most likely already in 2.1.2, you just don't notice them since it doesn't have the warnings. So it's not critical to get rid of all the warnings for 3.0. I'll adjust the priority of the ticket accordingly.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-03-01 23:32 WaTaKiD New Issue
2016-03-01 23:32 WaTaKiD Relationship added child of 0002561
2016-11-27 10:44 Torr Samaho Note Added: 0016346
2016-11-27 10:44 Torr Samaho Assigned To => Torr Samaho
2016-11-27 10:44 Torr Samaho Status new => needs testing
2016-11-27 10:44 Torr Samaho Target Version => 3.0
2016-11-27 11:13 Edward-san Note Added: 0016347
2016-11-27 12:52 Torr Samaho Note Added: 0016349
2016-12-04 21:43 WaTaKiD Note Added: 0016426
2016-12-06 20:44 Torr Samaho Note Added: 0016430
2016-12-07 07:58 WaTaKiD Note Added: 0016431
2016-12-07 09:21 WaTaKiD Note Edited: 0016431 View Revisions
2016-12-07 09:49 WaTaKiD Note Added: 0016432
2016-12-07 11:39 WaTaKiD Note Edited: 0016432 View Revisions
2016-12-08 01:54 Ru5tK1ng Status needs testing => feedback
2017-02-09 00:53 WaTaKiD Note Edited: 0016432 View Revisions
2017-02-12 17:47 Decay Note Added: 0016848
2017-02-12 17:48 Decay Note Edited: 0016848 View Revisions
2017-02-12 17:49 Decay Note Edited: 0016848 View Revisions
2017-02-12 17:56 Decay Note Edited: 0016848 View Revisions
2017-02-12 18:07 Decay Note Edited: 0016848 View Revisions
2017-03-19 11:13 Torr Samaho Note Added: 0017002
2017-03-19 11:13 Torr Samaho Status feedback => needs testing
2017-03-26 15:38 WaTaKiD Note Added: 0017061
2017-03-26 15:39 WaTaKiD Note Edited: 0017061 View Revisions
2017-04-17 23:49 Combinebobnt Note Added: 0017182
2017-04-23 23:48 Ru5tK1ng Status needs testing => feedback
2017-04-24 06:10 Torr Samaho Note Added: 0017304
2017-04-24 06:10 Torr Samaho Priority normal => low






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker